## Prerequisites

- Prerequisites: Python + GTK3 + PyGObject
- Preconfigured to be run by PolicyKit
- Uses Gettext for internationalization
- [Source archives and packages.](https://download.tuxfamily.org/gsettings)


## Try without installing

Download and extract the source archive, then from the project's root folder:

- run the Python script from source directory (GUI won't be translated):
	- `python3 gsettings-accounts.py` - *displays the user edition window* 
	- or `./gsettings-datetime.py`
- root permissions are required to configure the system:
	- `sudo ./gsettings-accounts.py` - *displays the user and groups management window*
	- or `sudo ./gsettings-datetime.py`


## Install

Download and extract the source archive, then from the project's root folder:

- run: `sudo make install`
- or something like `make install [PREFIX=/usr] [DESTDIR=$(pwd)/pack]`
- to disable PolicyKit, use: `[sudo] make install ... POLKIT=0`
- other parameters:
	- `DOCDIR=/usr/doc` (defaults to `$PREFIX/usr/share/doc`), 
	- `BINDIR=/usr/sbin` (defaults to `$PREFIX/bin`)

To uninstall, run: `sudo make uninstall [PREFIX=/usr]`.


## Translate

To translate this software into your language, from the project's `po` directory:

1. Setup env:

```sh
LNG=$(echo $LANG | cut -f1 -d_)							#or LNG="es", LNG="it", ...
PRJ=$(pwd | rev | cut -f2 -d/ | cut -f2- -d- | rev)		#or PRJ="gsettings-datetime", PRJ="gsettings-accounts"
```

2. Run: `msginit -l $LNG`.
3. Edit the `$LNG.po` file.
4. Test the translation: `msgfmt -o /usr[/local]/share/locale/$LNG/LC_MESSAGES/$PRJ.mo $LNG.po`.
5. Send me your translation.
